> For the complete documentation index, see [llms.txt](https://developers.yumpu.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.yumpu.com/api/documents/documentsget.md).

# Get

## Retrieve a list of your documents

### Parameters:

| Name           | Optional / Required | Data type | Description                                                                                                                                                                                                           | Default                                                                                                       |
| -------------- | ------------------- | --------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------- |
| offset         | optional            | Integer   | Retrieve rows at position X (min. 0)                                                                                                                                                                                  | 0                                                                                                             |
| limit          | optional            | Integer   | Retrieve X rows (min. 0 and max. 100)                                                                                                                                                                                 | 10                                                                                                            |
| sort           | optional            | String    | Sort results ascending or descendening (asc or desc)                                                                                                                                                                  | desc                                                                                                          |
| return\_fields | optional            | String    | Customize the responses by setting the return fields (id, create\_date, update\_date, url, read\_url, short\_url, image\_small, image\_medium, image\_big, language, title, description, tags, embed\_code, settings) | id, url, short\_url, image\_small, image\_medium, image\_big, language, title, description, tags, embed\_code |

### Demo

&#x20;URL Find your token on - [yumpu.com](https://www.yumpu.com/en/account/profile/api) Token&#x20;

#### Optional parameters:

&#x20;offset  limit  sort  return\_fields&#x20;

Add optional parametersRun request

```
```

{% tabs %}
{% tab title="curl" %}
Example:

```
curl -X GET -H "X-ACCESS-TOKEN: YOUR_ACCESS_TOKEN" "https://api.yumpu.com/2.0/documents.json?offset=0&limit=1&sort=desc"
```

{% endtab %}

{% tab title="PHP" %}
Example:

```php
require_once('../yumpu.php');
$yumpu = new Yumpu();
$data = array(
    'limit' => 1,
    'offset' => 0
);
$listDocument = $yumpu->getDocuments($data);
print_r($listDocument);
```

{% endtab %}

{% tab title="JavaScript" %}
Example:

```javascript
var yumpu = require('yumpu');
yumpu.setToken('yourToken');
var parameters = {
   offset: 0,
   limit: 1
};
yumpu.getDocuments(parameters, function(statusCode, document){
   console.log('Status: ' + statusCode);
   console.log(document);
});
```

{% endtab %}

{% tab title="Java" %}
Example:

```java
Yumpu y = new Yumpu("your access token");
String[] params = {"limit=1"};
System.out.println(y.getDocuments(params));
```

{% endtab %}
{% endtabs %}

Whatever language you are using, the result will be the same.

```bash
{
  "total": 6,
  "documents": [
    {
      "id": 55919352,
      "url": "https://www.yumpu.com/de/document/view/55919352/new-document",
      "short_url": "https://www.yumpu.com/s/ZYbPdhmifFHwWAc7",
      "image": {
        "small": "https://img.yumpu.com/55919352/1/115x163/new-document.jpg",
        "medium": "https://img.yumpu.com/55919352/1/452x640/new-document.jpg",
        "big": "https://img.yumpu.com/55919352/1/1129x1600/new-document.jpg"
      },
      "language": "de",
      "title": "New Document",
      "description": "",
      "tags": [
        "suchparameter",
        "liefert",
        "google",
        "webseiten",
        "suchbegriff",
        "mehreren",
        "angezeigt",
        "beschreibung",
        "nutzwert",
        "treffer",
        "www.lukasbals.at"
      ],
      "embed_code": "<iframe width=\"512px\" height=\"384px\" src=\"https://www.yumpu.com/de/embed/view/eolzBvCjm84bxPpn\" frameborder=\"0\" allowfullscreen=\"true\" allowtransparency=\"true\"></iframe>"
    }
  ],
  "state": "success",
  "completed_in": 0.0327
}
```
